@ECHO OFF
SetLocal

REM
REM WinRaidMonitor Configuration File
REM http://winraidmonitor.sourceforge.net/
REM

REM ----------------------------------------------------------------------------------------
REM WinRaidMonitor program parameters

REM Drive letter your mirror is mapped to
SET MIRROR=M

REM Host name of your SMTP server where info mails should be sent through
SET SMTP_HOST=smtp.gmail.com

REM Port to use for SMTP connection (default: 25, SSL: 465)
SET SMTP_PORT=465

REM Set to 1 if you want to use SSL connections to the SMTP server (or 0 otherwise)
SET USE_SSL=1

REM Email address where we should send our info mails to
SET TO_ADDRESS=your@mail.com

REM The FROM mail address (or leave alone if it should be the same as your TO-address)
SET FROM_ADDRESS=%TO_ADDRESS%

REM Username and password for authentication at SMTP server (or leave both blank)
REM Note that you have to either set both or none of these two parameters
SET USERNAME=
SET PASSWORD=

REM Set to 1 if you want to receive mails also if mirror is healthy (or 0 otherwise)
SET ALWAYS_SEND=1

REM On English Windows systems you don't need to change this variable;
REM if you are on a non-English system then please set it to the value
REM (String) that the diskpart.exe utility prints for a healthy mirror
SET DP_HEALTHY=Healthy

REM On English Windows systems you don't need to change this variable too;
REM if you are on a non-English system then please set it to the value
REM (String) that the diskpart.exe utility prints for the disk type "Mirror"
SET DP_MIRROR=Mirror

REM Set to 1 if you want some debugging output (or 0 otherwise)
SET DEBUG=0

REM ----------------------------------------------------------------------------------------
REM Java settings

REM Java home directory, where you have installed the JRE to
SET JAVA_HOME=C:\Program Files (x86)\Java\jre7

REM Path to Java binary, normally you shouldn't need to change this
SET JAVA_BIN=bin\java.exe


REM ========================================================================================
REM Usually you should not need to change anything below this line

REM Name of RAID Monitor jar file
SET RAID_MON=WinRaidMonitor.jar

REM Current working directory
SET REALPATH=%~dp0

REM min. and max. memory used by JVM
SET MIN_MEM=-Xms16M
SET MAX_MEM=-Xmx64M

IF %USE_SSL%==1 (SET SS=-s) ELSE (SET SS=)
IF %ALWAYS_SEND%==1 (SET AS=-a) ELSE (SET AS=)
IF %DEBUG%==1 (SET DB=-d) ELSE (SET DB=)
IF NOT [%USERNAME%]==[] (SET US=-u %USERNAME%) ELSE (SET US=)
IF NOT [%PASSWORD%]==[] (SET PW=-w %PASSWORD%) ELSE (SET PW=)

"%JAVA_HOME%\%JAVA_BIN%" %MIN_MEM% %MAX_MEM% -jar "%REALPATH%%RAID_MON%" ^
  -l %MIRROR% ^
  -h %SMTP_HOST% ^
  -p %SMTP_PORT% ^
  -f %FROM_ADDRESS% ^
  -t %TO_ADDRESS% ^
  -o %DP_HEALTHY% ^
  -m %DP_MIRROR% ^
  %US% %PW% ^
  %SS% %AS% %DB%

EndLocal

